View Issue Details

IDProjectCategoryView StatusLast Update
0003045Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.166 
Target VersionFixed in Version6.5.0.183 
Summary0003045: Hamcall.Net callsign lookup in Logbook causes crash
DescriptionUsing the Hamcall.Net lookup data source in the logbook can cause a crash. The program gets a response from the web, doesn't check the length of the response, and tries to copy the data into a fixed-size buffer. The unchecked call uses one of the "secure" CRTL routines, so a security trap fires and takes down the application.

When I caused this to happen, I hadn't yet verified my newly-created account. The HamCall.NET website returned a full HTML page, which was much larger than the small buffer allocated in the code. The response text I received is attached as Response.txt. At this moment, I don't know if an un-activated account is needed or if any invalid username/password combination will cause the issue to repro. In any event, using fixed-sized buffers for external input without checking the size of the input is very poor practice.

Steps To Reproduce


1) Start up the logbook. Don't need any particular database
2) Click on the "Tools" menu to reveal the "Configure" tear-off menu
3) In the "Configure" tear off, choose the "Callsign Lookup" command
4) In the resulting "Enable" tab, assure that the "hamcall.net subscription" data source is among those active
5) Use the "lookup options" tab and provide a username and password for the "Hamcall via XML (6.0)" data source
6) On the same tab, enter a callsign in the "enter a callsign, results are shown in a popup window" edit control
7) Press the "Test" button

BUG#1) The application crashes; callstack is given below
Additional Information
     HRDLogbookCallsignLookup.dll!common_tcscpy_s<wchar_t>(wchar_t * const destination, const unsigned int size_in_elements, const wchar_t * const source) Line 81	C++
     HRDLogbookCallsignLookup.dll!wcscpy_s(wchar_t * destination, unsigned int size_in_elements, const wchar_t * source) Line 17	C++
>	HRDLogbookCallsignLookup.dll!HamCallWebLookup(const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strCallsign, const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strUsername, const ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strPassword, ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strSource, ATL::CStringT<wchar_t,StrTraitMFC<wchar_t,ATL::ChTraitsCRT<wchar_t> > > & strStatus, CStringArray & astrFields, CStringArray & astrValues) Line 1964	C++
     HRDLogbookCallsignLookup.dll!HRDLogbookCallsignLookupW(const wchar_t * lpszCallsign, const unsigned int nOptions, const wchar_t * lpszQRZUsername, const wchar_t * lpszQRZPassword) Line 3564	C++
     HRDLogbook.exe!CPrefsLookupMethods::OnLookup() Line 585	C++
     HRDLogbook.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget, unsigned int nID, int nCode, void(CCmdTarget::*)() pfn, void * pExtra, unsigned int nSig, AFX_CMDHANDLERINFO * pHandlerInfo) Line 77	C++
     HRDLogbook.exe!CCmdTarget::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 372	C++
     HRDLogbook.exe!CDialog::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 85	C++
     HRDLogbook.exe!CWnd::OnCommand(unsigned int wParam, long lParam) Line 2800	C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2113	C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2099	C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 265	C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 418	C++
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!SendMessageWorker()	Unknown
     user32.dll!SendMessageW()	Unknown
     comctl32.dll!Button_NotifyParent(struct tagBUTN *,unsigned int)	Unknown
     comctl32.dll!Button_ReleaseCapture()	Unknown
     comctl32.dll!Button_WndProc()	Unknown
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!DispatchMessageWorker()	Unknown
     user32.dll!IsDialogMessageW()	Unknown
     HRDLogbook.exe!CWnd::IsDialogMessageW(tagMSG * lpMsg) Line 193	C++
     HRDLogbook.exe!CWnd::PreTranslateInput(tagMSG * lpMsg) Line 4607	C++
     HRDLogbook.exe!CPropertySheet::PreTranslateMessage(tagMSG * pMsg) Line 836	C++
     HRDLogbook.exe!CPrefsLookupSheet::PreTranslateMessage(tagMSG * pMsg) Line 212	C++
     HRDLogbook.exe!CWnd::WalkPreTranslateTree(HWND__ * hWndStop, tagMSG * pMsg) Line 3379	C++
     HRDLogbook.exe!AfxInternalPreTranslateMessage(tagMSG * pMsg) Line 233	C++
     HRDLogbook.exe!CWinThread::PreTranslateMessage(tagMSG * pMsg) Line 777	C++
     HRDLogbook.exe!CHRDLogbookApp::PreTranslateMessage(tagMSG * pMsg) Line 1492	C++
     HRDLogbook.exe!AfxPreTranslateMessage(tagMSG * pMsg) Line 252	C++
     HRDLogbook.exe!AfxInternalPumpMessage() Line 178	C++
     HRDLogbook.exe!CWinThread::PumpMessage() Line 900	C++
     HRDLogbook.exe!AfxPumpMessage() Line 190	C++
     HRDLogbook.exe!CWnd::RunModalLoop(unsigned long dwFlags) Line 4661	C++
     HRDLogbook.exe!CPropertySheet::DoModal() Line 981	C++
     HRDLogbook.exe!CHRDLogbookFrame::OnToolsCallsignLookup() Line 1556	C++
     HRDLogbook.exe!_AfxDispatchCmdMsg(CCmdTarget * pTarget, unsigned int nID, int nCode, void(CCmdTarget::*)() pfn, void * pExtra, unsigned int nSig, AFX_CMDHANDLERINFO * pHandlerInfo) Line 77	C++
     HRDLogbook.exe!CCmdTarget::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 372	C++
     HRDLogbook.exe!CFrameWnd::OnCmdMsg(unsigned int nID, int nCode, void * pExtra, AFX_CMDHANDLERINFO * pHandlerInfo) Line 984	C++
     HRDLogbook.exe!CWnd::OnCommand(unsigned int wParam, long lParam) Line 2800	C++
     HRDLogbook.exe!CFrameWnd::OnCommand(unsigned int wParam, long lParam) Line 384	C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2113	C++
     HRDLogbook.exe!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 201	C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2099	C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 265	C++
     HRDLogbook.exe!CMDIFrameWnd::OnCommand(unsigned int wParam, long lParam) Line 43	C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2113	C++
     HRDLogbook.exe!CXTPCommandBarsSiteBase<CMDIFrameWnd>::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 201	C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2099	C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 265	C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 418	C++
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!CallWindowProcW()	Unknown
     HRDLogbook.exe!CXTPHookManager::HookWndProc(HWND__ * hWnd, unsigned int message, unsigned int wParam, long lParam) Line 440	C++
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!SendMessageWorker()	Unknown
     user32.dll!SendMessageW()	Unknown
     HRDLogbook.exe!CWnd::SendMessageW(unsigned int message, unsigned int wParam, long lParam) Line 32	C++
     HRDLogbook.exe!NotifyExecute(CXTPControl * pControl, CWnd * pOwner) Line 345	C++
     HRDLogbook.exe!CXTPControl::OnExecute() Line 575	C++
     HRDLogbook.exe!CXTPControlButton::OnLButtonUp(CPoint __formal) Line 67	C++
     HRDLogbook.exe!CXTPCommandBar::OnLButtonUp(unsigned int nFlags, CPoint point) Line 521	C++
     HRDLogbook.exe!CWnd::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2612	C++
     HRDLogbook.exe!CXTPCommandBar::OnWndMsg(unsigned int message, unsigned int wParam, long lParam, long * pResult) Line 2621	C++
     HRDLogbook.exe!CWnd::WindowProc(unsigned int message, unsigned int wParam, long lParam) Line 2099	C++
     HRDLogbook.exe!AfxCallWndProc(CWnd * pWnd, HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 265	C++
     HRDLogbook.exe!AfxWndProc(HWND__ * hWnd, unsigned int nMsg, unsigned int wParam, long lParam) Line 418	C++
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!CallWindowProcW()	Unknown
     HRDLogbook.exe!CXTPHookManager::HookWndProc(HWND__ * hWnd, unsigned int message, unsigned int wParam, long lParam) Line 440	C++
     user32.dll!__InternalCallWinProc@20()	Unknown
     user32.dll!UserCallWinProcCheckWow()	Unknown
     user32.dll!DispatchMessageWorker()	Unknown
     user32.dll!_DispatchMessageW@4()	Unknown
     HRDLogbook.exe!AfxInternalPumpMessage() Line 181	C++
     HRDLogbook.exe!CWinThread::PumpMessage() Line 900	C++
     HRDLogbook.exe!CWinThread::Run() Line 629	C++
     HRDLogbook.exe!CWinApp::Run() Line 787	C++
     HRDLogbook.exe!AfxWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 47	C++
     HRDLogbook.exe!wWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 26	C++
     HRDLogbook.exe!invoke_main() Line 123	C++
     HRDLogbook.exe!__scrt_common_main_seh() Line 288	C++
     HRDLogbook.exe!__scrt_common_main() Line 331	C++
     HRDLogbook.exe!wWinMainCRTStartup() Line 17	C++
     kernel32.dll!@BaseThreadInitThunk@12()	Unknown
     ntdll.dll!__RtlUserThreadStart()	Unknown
     ntdll.dll!__RtlUserThreadStart@8()	Unknown
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-07 11:00

manager  

response.txt (14,232 bytes)
<!DOCTYPE html>
<html><head>
<title>HamCall World-Wide Callsign Database</title>
<META NAME="keywords" CONTENT="ham, radio, buckmaster, international, hamcall, dx, qsl, amateur, call, callbook, callsign, call, sign, latitude, longitude, dvd, cd-rom, cdrom">
<meta name="Description" CONTENT="World's largest callsign database!  Contains over 2.3 million current and 10 million archive callsigns.  Register for free access, and submit your photo and biography to complete your listing!">
<META NAME="ROBOTS" CONTENT="NOARCHIVE">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<link rel="stylesheet" type="text/css" href="https://hamcall.net/buckmaster.css">
<link rel="search" type="application/opensearchdescription+xml" title="HamCall World-Wide Callsign Search" href="http://hamcall.net/hamcallcallsignsearch.xml">
<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<script>
 (adsbygoogle = window.adsbygoogle || []).push({
   google_ad_client: "ca-pub-4400417820109764",
   enable_page_level_ads: true
});
</script>
</head>
<BODY BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#FF0000" VLINK="#420000" ALINK="#FFFF00">
<!-- Copyright 2019 Buckmaster International -->
<table border=0 width=100%>
<tr>
<td><div align="center">
<a href="/call?redirecturl=http://www.hamcall.net/haminfo.html&redirectname=bm_ad2">
<img border=1 style="border-color:#000000" height=60 width=468 src=https://hamcall.net/images/a/bm_ad2.gif alt="[Advertisement for Buckmaster's HamCall CD-ROM]">
</a><br>
<a href=http://hamcall.net/images/a/ad-howto.html><font size=-2>Display your ad here!</font></a><BR>
</div></td>
<td align=right bgcolor=#FFCCCC>
<B>Not logged in.</b> 
 <a href=https://hamcall.net/call?wantLoginForm=1>[<b>Log In</b>]</a>
<a href='javascript:onClick=alert("If you have a HamCall.net password (even an expired one), log in for extra website features!")'><img width=20 height=20 border=0 src="https://hamcall.net/images/questionmark.gif"></a><BR>
<a href=https://hamcall.net/reg#forgotpassword>[Forgot your password?]</a><BR>
<a href=http://hamcall.net/hamonline.html>[Buy HamCall.net Gold Password]</a><BR>
<a href=http://hamcall.net/haminfo.html#order>[Buy HamCall DVD with password]</a><BR>
<a href=https://hamcall.net/reg#reg>[Register for FREE Basic Membership]</a><BR>
<br><a href=http://hamcall.net/search>[Advanced Field Search]</a>  <a href=http://hamcall.net/dxspots>[DXSpots]<BR>
</td>
</td></tr></table>
<table width=100% cellspacing=0 border=0 cellpadding=2>
<tr><td bgcolor=#CCFFFF>
<table width=100% cellspacing=0 border=0 bordercolorlight=#000000 bordercolordark=#000000 cellpadding=2>
<tr><td width=50% align=center bgcolor=yellow>
<font size=-1>
<B>Jan 07 2019,  16:41 UTC</B>
</font><BR>
<a href=http://hamcall.net/haminfo.html><img width=77 height=75 border=0 align=left src=https://hamcall.net/images/buckdisk.gif alt="HamCall DVD"></a> <font size=+1><b>HamCall&#0153 Query Results: K7ZCZ</b></font>
<BR>
<font size=2 face="Arial, Helvetica, sans-serif"><B>This callsign has never been looked up.</b></font><BR>
<BR>
<a href=/updater?translate=1&wanteditform=1&callsign=K7ZCZ><img src=https://hamcall.net/images/edit24.gif width=24 height=24 alt="Edit"> Update K7ZCZ</a> &nbsp; <td width=50% align=center BGCOLOR=#FFFF99></td></tr>
</table>
<table width=100% cellspacing=0 border=0 cellpadding=5>
<tr><TD nowrap valign=top align=left width=20% bgcolor=#99CCFF>
<!--Start-->

<!-- <a href="http://hamcall.net"><B><font color=red size="+2">HamCall.net</font></b></a><BR> -->

<!--GOOGLE TRANSLATE
<font size=-1><b>Google Translate:</b></font><BR>
<form style="display: inline; margin: 0;" action="https://www.google.com/translate" >
<script language="JavaScript">
!-- 
document.write ("<input name=u value="+location.href+" type=hidden>") 
// -- 
</script>
<input name="hl" value="en" type="hidden">
<input name="ie" value="UTF8" type="hidden">
<input name="langpair" value="" type="hidden">
<input name="langpair" value="en|es" title="Spanish" src= "https://hamcall.net/images/es20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|fr" title="French" src= "https://hamcall.net/images/fr20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|de" title="German" src= "https://hamcall.net/images/de20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|it" title="Italian" src= "https://hamcall.net/images/it20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|ja" title="Japanese" src= "https://hamcall.net/images/ja20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|pt" title="Portuguese" src= "https://hamcall.net/images/pt20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
<input name="langpair" value="en|zh-CN" title="Chinese Simplified" src= "https://hamcall.net/images/cn20.gif" onclick="this.form.langpair.value=this.value" height="13" type="image" width="20">
</form>

<HR color=black noshade>
-->

<strong>Products</strong><BR>
<a href="https://buckmasterinternational.com/cart"><img src="https://hamcall.net/images/cart20.gif" border=0 alt="-" width=20 height=20>Shopping Cart</a><BR>
<a href="https://hamcall.net/auctions">Auctions</A><BR>
<a href="https://hamcall.net/7bandocf.html">Buckmaster Antennas</A><BR>
  <font size=-1>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#7band">7-Band OCF</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#stealth">7-Band STEALTH</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#qrp">7-Band QRP</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#4band">4-Band OCF</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#8band">8-Band OCF</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#about">Features</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#installation">Installation</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#ordering">Order an Antenna/Coax</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocf.html#comments">Reviews</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/7bandocffaq.html">FAQ</a><BR>
  </font>
<a href="https://hamcall.net/coax.html">Coax Cables</A>  <img src=https://hamcall.net/images/new.gif align=middle width=32 height=32> <img src=https://hamcall.net/images/sale.gif align=top width=50 height=20><BR>
<a href="https://hamcall.net/polyrope.html">Antenna Support Rope</A><BR>
<a href="https://hamcall.net/pulleys.html">Stainless Pulleys</A><BR>
<a href="https://hamcall.net/linegrip.htm">Line-Grip</A><BR>
<a href="https://hamcall.net/haminfo.html">HamCall DVD</A><BR>
  <font size=-1>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/hamregistered.html">Owner Benefits</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/hamfeatures.html">Software Features</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/hamcallfaq.html">HamCall Support/FAQ</a><BR>
  &nbsp &nbsp &nbsp<a href="https://www.hamcall.net/thirdPartyHamCall.html">Third-party support</a><BR>
  &nbsp &nbsp &nbsp<a href="https://www.hamcall.net/hamcallsurvey.html">User Opinions</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/hamsubscriptions.html">Subscriptions</a><BR>
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/haminfo.html#order">Order HamCall DVD/download</a><BR>
  </font>
<a href="https://hamcall.net/hamonline.html">HamCall.net Gold Membership</A><BR>
  <font size=-1>
  <!-- &nbsp &nbsp &nbsp<a href="https://hamcall.net/memberbenefits.html">Gold Member Benefits</A><BR> -->
  &nbsp &nbsp &nbsp<a href="https://hamcall.net/hamonline.html#order">Order HamCall Gold Membership</A><BR>
  </font>
<a href="https://hamcall.net/hclog.html">HCLog</A><BR>
<a href="https://hamcall.net/cqcgi">CQ Magazine Archives</A><BR>
<a href="https://hamcall.net/greatcircle.html">Great Circle Maps</A> <img src=https://hamcall.net/images/sale.gif align=top width=50 height=20><BR>
<a href="https://hamcall.net/mousepad.html">HamCall Mousepads</A>   <img src=https://hamcall.net/images/new.gif align=middle width=32 height=32><BR>
<a href="https://hamcall.net/badges">Name Badges</A><BR>
<a href="https://hamcall.net/certificates.html">License Certificates</A><BR>
<a href="https://hamcall.net/clubpage.html">Club Discounts</A><BR>
<a href="https://hamcall.net/cryp.html">Cryptography Book</A><BR>
<a href="https://hamcall.net/dealers.html">Dealer Discounts</A><BR>
<a href="https://hamcall.net/stringliner.html">Nylon Line Reel</A><BR>
<a href="https://hamcall.net/terminalblocks.html">Terminal Blocks</A> <img src=https://hamcall.net/images/new.gif align=middle width=32 height=32><BR>
<a href="https://hamcall.net/connectors.html">Powerpole and Molex</A><BR>
<a href="https://hamcall.net/pl259.html">PL259 Connectors</A><BR>
<a href="https://buckmasterinternational.com/labels.html" target="_blank">Return Address Labels</A><BR>
<a href="https://hamcall.net/chokes.html">RF Chokes</A><BR> 
<!-- <a href="https://hamcall.net/winders.html">Wire Winders</A><BR> -->
<HR color=black noshade>
<strong>Services</strong><BR>
<a href="https://hamcall.net/73">73 Archive Search</A><BR>
<a href="https://hamcall.net/antennacalc.html">Antenna Calculator</a><BR>
<a href="https://hamcall.net/dxspots">DXSpots</a><BR>
<a href="https://hamcall.net/calendar.html">Hamfest Calendar</a><BR>
<a href="https://hamcall.net/mailinglists.html">Mailing Lists</A><BR>
<a href="https://hamcall.net/notablelinks.html">Notable Links</a><BR>
<a href="https://hamcall.net/notify?newcallnotifyform=1">New Callsign Notification</A><BR>
<a href="https://hamcall.net/labels.html" target="_blank">Return Address Labels</A><BR>
<a href="https://buckmasterinternational.com/vec">VEC Renewals/Mods</A><BR>
<HR color=black noshade>
<strong>Callsign Database</strong><BR>
<a href="https://hamcall.net/lookupcode.html">Add HamCall To Your Site</A><BR>
<a href="https://hamcall.net/updater">Add/Update Callsign</A><BR>
<a href="https://hamcall.net/images/a/ad-howto.html">Advertising Banners</A><BR>
<a href="https://hamcall.net/hamstations.html">Best Station Photos</A><BR>
<a href="https://hamcall.net/cgi-bin/browsephotos.exe">Browse QSLs</A><BR>
<a href="https://hamcall.net/searchblank.html">Browser Search Blank</A><BR>
<a href="https://hamcall.net/call">Callsign Server</A><BR>
<a href="https://hamcall.net/search">HamCall Advanced Search</A><BR>
<a href="https://hamcall.net/hamcallcounts.html">HamCall Database Stats</A><BR>
<a href="https://hamcall.net/hamcallfaq.html#HCDatabase">HamCall FAQ</a><BR>
<a href="https://hamcall.net/mailinglists.html">Mailing Lists</A><BR>
<a href="https://hamcall.net/topwanted.html">Most Wanted Callsigns</A><BR>
<a href="https://hamcall.net/notify?newcallnotifyform=1">New Callsign Notification</A><BR>
<a href="https://hamcall.net/topcalls.html">Top Callsigns</A><BR>
<!-- <img src=https://hamcall.net/images/smbul.gif width=14 height=14><a href="http://hamcall.net/dailyfcc.html">Daily FCC Reports</A><BR> -->
<HR color=black noshade>
<!--
<strong>Ham Radio News</strong><BR>
<a href="http://www.arrl.org/arrl.rss">Ham Radio News</A><BR>
&nbsp &nbsp (IE only)<BR>
<HR color=black noshade>
-->
<strong>About/Contact</strong><BR>
<a href="https://www.facebook.com/HamCall"><img align=middle alt="Facebook HamCall fan link" border=0 src="https://hamcall.net/images/facebook30.png" width=30 height=30>Facebook</a><BR>
<a href="https://twitter.com/#!/HamCallDB"><img src="https://hamcall.net/images/twitter30.jpg" align=middle border=0 width=30 height=30>Twitter</a><BR>
<a href="https://hamcall.net/images/a/ad-howto.html">Advertising Banners</A><BR>
<a href="https://hamcall.net/aboutHamCall.html">About HamCall</A><BR>
<a href="https://hamcall.net/aboutHamCall.html#contact">Contact Us</A><BR>
<HR color=black noshade>
<strong>Search site</strong><BR>
<small>(Not a callsign search)</small>

<form method="get" action="https://www.google.com/search">

<table border="0" cellpadding="0">
<tr><td>
  <input type="text"   name="q" size="15" maxlength="255" value="" /><BR>
  <input type="submit" value="Google Search" />
</td></tr>
<tr><td style="font-size:75%">
<input type="checkbox"  name="sitesearch" value="hamcall.net" checked /> Only search HamCall.net<br />
</td></tr></table>

</form>

</td>
<td valign=top>
<H1>HamCall.net - Login</H1>
<font color=red size=+1><B>Sorry, there was a problem with your callsign or password:</font>
Could not verify login. If you have forgotten your password, go here: <a href=https://hamcall.net/reg#forgotpassword>https://hamcall.net/reg</font></a>
<P>Please note that you must have "cookies" enabled for HamCall.net in your browser to stay logged in.<P>
</b><P>
<a href=/hamonline.html>HamCall.net Gold password</a> holders receive full website access.  A Gold password is also included with the <a href=http://hamcall.net/haminfo.html>HamCall DVD</a>.  Expired Gold passwords revert to Basic member features.<P>
HamCall Basic Members receive limited site access.
<a href=https://hamcall.net/reg#reg>Register for free Basic Membership</a>.<BR>
<BR>
<table bgcolor=cyan width=100%><tr><td>
<font size=+1><B>HamCall.net Member Login</B></font><BR>
<form method=POST action=/call>
    Your Callsign: <input name=login size=20>
     Password: <input type=password name=password size=20>
     <input type=submit value="Submit">
&nbsp; <a href=https://hamcall.net/reg#forgotpassword>Forgot your password?</font></a>
<BR>
<BR>
<font size=-1>-HamCall DVD owners, your Gold password will be found on a white sticker inside your DVD jewel case.</font><BR>
<font size=-1>-Keep getting logged out?  You must have "cookies" enabled in your browser to stay logged in.</font>
</form>
</td></tr></table>
<P>


response.txt (14,232 bytes)

K7ZCZ

2019-01-07 12:47

manager   ~0006900

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4674

WA9PIE

2019-01-09 15:18

administrator   ~0006934

Validated

Issue History

Date Modified Username Field Change
2019-01-07 11:00 K7ZCZ New Issue
2019-01-07 11:00 K7ZCZ File Added: response.txt
2019-01-07 12:47 K7ZCZ Assigned To => K7ZCZ
2019-01-07 12:47 K7ZCZ Status new => resolved
2019-01-07 12:47 K7ZCZ Resolution open => fixed
2019-01-07 12:47 K7ZCZ Note Added: 0006900
2019-01-07 18:06 K7ZCZ Fixed in Version => 6.5.0.168
2019-01-09 15:18 WA9PIE Status resolved => closed
2019-01-09 15:18 WA9PIE Description Updated View Revisions
2019-01-09 15:18 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-09 15:18 WA9PIE Additional Information Updated View Revisions
2019-01-09 15:18 WA9PIE Testing Not Started => Beta Successful
2019-01-09 15:18 WA9PIE Note Added: 0006934
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.168 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe